%global srcname flask_oidc
%global tar_name flask-oidc
%global sum An openID Connect support for Flask

Name:           python-%{tar_name}
Version:        1.4.0
Release:        %mkrel 8
Summary:        %{sum}
Group:          Development/Python
License:        BSD
URL:            https://github.com/puiterwijk/flask-oidc
Source0:        https://pypi.io/packages/source/f/flask-oidc/%{tar_name}-%{version}.tar.gz

BuildArch:      noarch

%description
OpenID Connect support for Flask.
This library should work with any standards compliant
OpenID Connect provider. It has been tested with:
Google+ Login, Ipsilon

%package -n         python3-%{tar_name}
Summary:            %{sum}
Group:              Development/Python
BuildRequires:      python3-devel
BuildRequires:      python3dist(flask)
BuildRequires:      python3dist(itsdangerous)
BuildRequires:      python3dist(oauth2client)
BuildRequires:      python3dist(six)
BuildRequires:      python3dist(setuptools)
# Test dependencies
BuildRequires:      python3dist(nose)
BuildRequires:      python3dist(mock)


%{?python_provide:%python_provide python3-%{tar_name}}

%description -n python3-%{tar_name}
Currently designed around Google’s oauth2client library and OpenID Connect
implementation. May or may not interoperate with other OpenID Connect
identity providers, for example, Microsoft’s Azure Active Directory

%prep
%autosetup -n %{tar_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{tar_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/*.egg-info/
%{_bindir}/oidc-register



%changelog
* Sat Apr 25 2020 ngompa <ngompa> 1.4.0-8.mga8
+ Revision: 1572010
- Adapt for Mageia
- imported package python-flask-oidc

